/* Image header
   Copyright (c) 2010 Networked Systems Group, University of Kaiserslautern

This file is part of the Imote2 Image Loader.

The Imote2 Image Loader is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

The Imote2 Image Loader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the Imote2 Image Loader. If not, see <http://www.gnu.org/licenses/>.
*/

.section .rodata
.weak _IMAGE_DESC
.globl _IMAGE_DESC
_IMAGE_DESC:
	.asciz ""

.section .compat_start
.globl _compat_start
_compat_start:
	b _start

.section .header
.globl _imageheader
_imageheader:
.word 0xcafebabe		@ validity magic
.word 0x00010000		@ image header version (1.0)
.word __image_size		@ image size used for image verification
.word __image_start		@ image vma
.word _start			@ image entry point (w.r.t. vma)
.word _IMAGE_DESC		@ image description pointer (w.r.t. vma)
.space 0x20-6*4

